const CacheBase = require("../cache.base");
const system = require("../../system");
const settings=require("../../../config/settings");

//缓存首次登录的赠送的宝币数量
class AppCache extends CacheBase {
  constructor() {
    super();
    this.domain = settings.domain();
    this.appMap = {
      'wxf616c0a459d66081': {
        appid: 'wxf616c0a459d66081',
        secret: "35275146272c7c862ff4b1ba11282d02",
        name: '薪必果',
        homePage: this.domain + 'h5',
        authPage: this.domain + 'ec',
      }
    };
  }

  async cacheApp(appkey) {
    var configValue = await this.appMap[appkey];
    if (configValue) {
      return configValue;
    } else {
      console.log("uiconfig already cache....");
    }
    return null;
  }
}
module.exports = AppCache;